import { TFormCustomProps } from "primeobjects-ui-web-application/build/cjs/components/forms/types";
export declare const getOrganizationNameBasedUrl: (solution: Record<string, any>, organization: Record<string, any>) => string;
export declare const getOrganizationCanonicalUrl: (solution: Record<string, any>, organization: Record<string, any>) => string;
export declare const getWebAddressesRows: (props: TFormCustomProps & {
    solution: Record<string, any>;
    organization: Record<string, any>;
    record: Record<string, any>;
    path: string;
    sectionLine?: string | undefined;
    nameBasedEndpoint?: string | undefined;
    nameBasedEndpointLabel?: string | undefined;
    canonicalEndpoint?: string | undefined;
    canonicalEndpointLabel?: string | undefined;
    fieldLabelForNameBasedEndpoint?: string | undefined;
    fieldNameForAPIName?: string | undefined;
    hideSection?: boolean | undefined;
    supportNameBasedSlug?: boolean | undefined;
}) => (false | {
    fields: {
        wrapperStyle: {
            marginBottom: number;
        };
        name: string;
        type: string;
        line: string;
    }[];
} | {
    fields: {
        name: string;
        label: string;
        type: string;
        alwaysShowLabel: boolean;
        note: string;
    }[];
} | {
    fields: {
        name: string;
        label: string;
        value: string;
        useFieldValue: boolean;
        format: string;
        type: string;
        alwaysShowLabel: boolean;
        disabled: boolean;
        note: string;
    }[];
} | undefined)[];
